
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>路由到交换机原理 / iVAN</title>

    <meta name="description" content="路由到交换机原理 路由到交换机   1. 数据包从二层交换到三层路由流程 (1)源主机在发起通信之前,将自己的IP地址与目的主机的IP地址进行比较,如果源主机判断目的主机与自己位于不同网段时,它需要通过网关来递交报文的,所以它首先需要通过一个ARP请求报文获取网关的MAC地址(在源主机不知道网关MAC地址的情形下),即源主机先发送ARP请求帧以获取网关IP地址对应的MAC地址. (2)网关在收到源主机发来的ARP请求报文后以一个ARP应答报文进行回应,在应答报文中的&quot;源MAC地址&quot;就包含了网关 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">路由到交换机原理</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<table>
<tbody>
<tr>
<td>
<p>路由到交换机</p>
<p> </p>
<h2>1. 数据包从二层交换到三层路由流程</h2>
<p>　　</p>
<p>（1）源主机在发起通信之前，将自己的IP地址与目的主机的IP地址进行比较，如果源主机判断目的主机与自己位于不同网段时，它需要通过网关来递交报文的，所以它首先需要通过一个ARP请求报文获取网关的MAC地址（在源主机不知道网关MAC地址的情形下），即源主机先发送ARP请求帧以获取网关IP地址对应的MAC地址。</p>
<p>　　（2）网关在收到源主机发来的ARP请求报文后以一个ARP应答报文进行回应，在应答报文中的“源MAC地址”就包含了网关的MAC地址。<br />　　（3）在得到网关的ARP应答后，源主机再用网关MAC地址作为报文的“目的MAC地址”，以源主机的IP地址作为报文的“源IP地址”，以目的主机的IP地址作为“目的IP地址”，先把发送给目的主机的数据发给网关。<br />　　（4）网关在收到源主机发送给目的主机的数据后，由于查看得知源主机和目的主机的IP地址不在同一网段，于是把数据报上传到三层交换引擎（ASIC芯片），在里面查看有无目的主机的三层转发表。<br />　　（5）如果在三层硬件转发表中没有找到目的主机的对应表项，则向CPU请求查看软件路由表，如果有目的主机所在网段的路由表项，则还需要得到目的主机的MAC地址，因为数据包在链路层是要经过帧封装的。于是三层交换机CPU向目的主机所在网段发送一个ARP广播请求包，以获得目的主机MAC地址。<br />　　（6）交换机获得目的主机MAC地址后，向ARP表中添加对应的表项，并转发由源主机到达目的主机的灵气包。同时三层交换机三层引擎会结合路由表生成目的主机的三层硬件转发表。</p>
<p>　　 以后到达目的主机的数据包就可以直接利用三层硬件转发表中的转发表项进行数据交换，不用再查看CPU中的路由表了。</p>
<h2>2. 路由表</h2>
<p>　　</p>
<p>路由器在接收到数据时，要对其传输路径进行选择。为了实现这一目标，路由器需要维护一个称为“路由表”的数据结构。路由表包含若干条目，供路由器选路时查询数据传输路径。路由表中的一个条目至少要包含：</p>
<p>　　1. 数据的目的地址（通常是目的主机所在网络的地址）。<br />　　2. 下一跳路由器（即从本路由器出发按所给路径到给定目的地所要通过的下一个路由器）的地址。<br />　　3. 相应的网络接口。<br />　　4. 一般情况下还应该有标志位等内容。 </p>
<p>　　由于Internet规模太大，分布范围太广，所以路由表中对应每一个目的网络都有一个条目是不可能的；同样，也不可能采用一个全局的路由算法或协议。因此，Internet将整个网络划分为若干个相对自治的局部系统，即自治系统。自治系统可以定义为同一机构下管理的路由器和网络的集合。一个自治系统内部还可以再划分几个小的路由域，也称作区域。</p>
<h2>3. 路由协议</h2>
<p>　　</p>
<p>根据功能不同路由协议可以分为内部网关协议（IGP，Interior Gateway Protocol）和外部网关协议（EGP，Exterior Gateway Protocol）两大类。内部网关协议是用于自治系统内部的动态路由协议：如RIP和OSPF。外部网关协议是用于自治系统之间拓扑信息交换的路由协议：如BGP。</p>
<p>　　根据算法不同路由协议可分为距离矢量路由选择协议和链路状态路由选择协议<br />　　距离矢量路由选择协议基于距离矢量路由算法。其基本思想是路由器周期地和相邻路由器交换路由表中的信息。这种信息是由若干（V，D）对组成的表项，其中，V代表矢量，指出该路由器可以达到的目的地；D表示去往目标V的距离。各个路由器根据收到的信息重新计算到各目的节点的距离，对自己的路由表进行修正。<br />　　链路状态路由选择协议也被称为最短路径优先协议，它基于链路状态路由算法。采用这种协议的路由器都要维护一张可以表示整个网络拓扑结构的无向图G（V，E），在图G中，节点V表示路由器，边E表示连接路由器的链路，因此G又可以称为L-S（链路-状态）图，各路由器的路由表通过L-S图计算。<br />　　链路状态路由算法的基本步骤如下：<br />　　（1）每一个路由器（节点）启动后，首先执行对相邻节点的发现工作，并获取它们的地址。<br />　　（2）各路由器主动测试到每一个相邻路由器的链路时延或成本，并根据测试结果设置相关链路的状态。<br />　　（3）各路由器构造自己的L-S（Link-State，链路状态）信息包，L-S信息的内容包括本路由器的标号、本路由器的邻居路由器列表、本路由器到各邻居路由器的链路状态（时延或成本）、该L-S信息包的序号和生存时间等。<br />　　（4）各路由器向所有参与链路状态交互的路由器广播其L-S信息，可以是周期性地发送，也可在链路状态发生变化时发送。<br />　　（5）每个路由器在收到所有的L-S信息后，可以构造或更新表示整个网络拓扑结构的图G（V，E），顶点V表示路由器，边E表示连接路由器的链路；这时路由器就可以用Dijkstra算法从图G中计算出到所有目的路由器的最短路径，也就是构造以自己为根节点的SPF树。<br />　　链路状态路由协议OSPF用到的算法为Dijkstra， 主要原理如下：<br />　　设目的节点（就构造SPF树而言，是根节点）为k，任一条链路（i，j）的长度为dij，每个节点到k的最短路径长度估计为Dik；定义所有节点的集合为A，定义集合P∈A，并设定集合的初始值为P={k}。<br />　　在算法迭代的过程中，如果Dik已经变成一个确定值，则将i标记为固定点，并将其加入集合P。在算法的每一步迭代中，在P以外的节点中，选择与目的节点k最近的节点加入到P中。</p>
<blockquote><p>与传统的二层交换机相比，三层交换机增加了路由功能，可以理解为具有路由功能的交换机。</p></blockquote>
<blockquote><p><a href="http://baike.baidu.com/view/44586.htm" rel="external nofollow noreferrer">三层交换机</a>可以根据其处理数据的不同而分为纯硬件和纯<a href="http://baike.baidu.com/view/37.htm" rel="external nofollow noreferrer">软件</a>两大类。</p></blockquote>
<blockquote><p>（1）纯硬件的三层技术相对来说技术复杂，成本高，但是速度快，性能好，带负载能力强。其原理是，采用ASIC芯片，采用硬件的方式进行<a href="http://baike.baidu.com/view/149989.htm" rel="external nofollow noreferrer">路由表</a>的查找和刷新。</p></blockquote>
<p>当数据由端口接口芯片接收进来以后，首先在二层交换芯片中查找相应的目的MAC地址，如果查到，就进行二层转发，否则将数据送至三层引擎。在三层引擎中，ASIC芯片查找相应的<a href="http://baike.baidu.com/view/149989.htm" rel="external nofollow noreferrer">路由表</a>信息，与数据的目的IP地址相比对，然后发送ARP<a href="http://baike.baidu.com/view/25880.htm" rel="external nofollow noreferrer">数据包</a>到目的主机，得到该主机的MAC地址，将MAC地址发到二层芯片，由二层芯片转发该<a href="http://baike.baidu.com/view/25880.htm" rel="external nofollow noreferrer">数据包</a>。</p>
<blockquote><p>（2）基于<a href="http://baike.baidu.com/view/37.htm" rel="external nofollow noreferrer">软件</a>的<a href="http://baike.baidu.com/view/44586.htm" rel="external nofollow noreferrer">三层交换机</a>技术较简单，但速度较慢，不适合作为主干。其原理是，采用CPU用<a href="http://baike.baidu.com/view/37.htm" rel="external nofollow noreferrer">软件</a>的方式查找<a href="http://baike.baidu.com/view/149989.htm" rel="external nofollow noreferrer">路由表</a>。</p></blockquote>
<p>当数据由端口接口芯片接收进来以后，首先在二层交换芯片中查找相应的目的MAC地址，如果查到，就进行二层转发否则将数据送至CPU。CPU查找相应的<a href="http://baike.baidu.com/view/149989.htm" rel="external nofollow noreferrer">路由表</a>信息，与数据的目的IP地址相比对，然后发送ARP数据包到目的<a href="http://baike.baidu.com/view/23880.htm" rel="external nofollow noreferrer">主机</a>得到该主机的MAC地址，将MAC地址发到二层芯片，由二层芯片转发该数据包。因为低价CPU处理速度较慢，因此这种<a href="http://baike.baidu.com/view/44586.htm" rel="external nofollow noreferrer">三层交换机</a>处理速度较慢。</p>
<p>　　　二层交换机的二层数据交换一般都是使用ASIC（专用集成电路）的硬件芯片中的Mac表来实现的，因为是硬件转发，所以转发性能非常高。而三层交换机，但其中除了二层交换用的Mac表外，还保存有专门用于三层转发的三层硬件转发表。</p>
<blockquote><p>如下图所示的为三层交换机的基本工作流程，其主要步骤解释如下：</p></blockquote>
<p>　　　（1）源主机在发起通信之前，将自己的IP地址与目的主机的IP地址进行比较，如果源主机判断目的主机与自己位于不同网段时，它需要通过网关来递交报文的(如果在同一网段，则直接二层转发就可以了)，所以它首先需要通过一个ARP请求报文获取网关的MAC地址（在源主机不知道网关MAC地址的情形下），即源主机先发送ARP请求帧以获取网关IP地址对应的MAC地址。</p>
<p>　　　（2）网关在收到源主机发来的ARP请求报文后以一个ARP应答报文进行回应，在应答报文中的“源MAC地址”就包含了网关的MAC地址。</p>
<p>　　　（3）在得到网关的ARP应答后，源主机再用网关MAC地址作为报文的“目的MAC地址”，以源主机的IP地址作为报文的“源IP地址”，以目的主机的IP地址作为“目的IP地址”，先把发送给目的主机的数据发给网关。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvdWdjLnFwaWMuY24vYWRhcHQvMC9jNTI3OTdhYy0wOTdlLWE5MTMtYWYxYi04NjNjM2QyMWE2NWMvODAwP3B0PTAmYW1wO2VrPTEmYW1wO2twPTEmYW1wO3NjZT0wLTEyLTEy.jpg"></p>
<p>三层交换基本流程图解</p>
<p>　　　　（4）网关在收到源主机发送给目的主机的数据后，由于查看得知源主机和目的主机的IP地址不在同一网段，于是把数据报上传到三层交换引擎（ASIC芯片），在里面查看有无目的主机的三层转发表。</p>
<p>　　　　（5）如果在三层硬件转发表中没有找到目的主机的对应表项，则向CPU请求查看软件路由表，如果有目的主机所在网段的路由表项，则还需要得到目的主机的MAC地址，因为数据包在链路层是要经过帧封装的。于是三层交换机CPU向目的主机所在网段发送一个ARP广播请求包，以获得目的主机MAC地址。</p>
<p>　　　　（6）交换机获得目的主机MAC地址后，向ARP表中添加对应的表项，并转发由源主机到达目的主机的包。同时三层交换机三层引擎会结合路由表生成目的主机的三层硬件转发表。</p>
<p> 　　　　以后到达目的主机的数据包就可以直接利用三层硬件转发表中的转发表项进行数据交换，不用再查看CPU中的路由表了。这就是“一次路由，多次交换”的原理。 </p>
<p> 也谈子网划分和子网通信</p>
<p>子网划分和子网通信在小型网络中应用不多，但随着公司规模的扩大，这样的问题就会提上网管的工作计划。资料略加整理，希望对各位有帮助。</p>
<p>也谈子网划分和子网通信</p>
<p>1.网络IP地址和子网掩码的分类：</p>
<p>A类：IP: 0.0.0.0 －127.255.255.255.255 子网掩码：255.0.0.0 或者标注为/8 （8个1）<br />
B类：IP: 128.0.0.0 － 191.255.255.255 子网掩码：255.255.0.0 或者标注为/16 （16个1）<br />
C类：IP: 192.0.0.0 － 1223.255.255.255 子网掩码：255.255.255.0 或者标注为/24 （24个1）</p>
<p>2.确定可用资源和需求<br />
a&gt; 拥有的IP资源或者说网络号（网段），例：129.250.0.0/16 。<br />
b&gt; 需要分多少个ip出来？例：4000台pc<br />
c&gt; 需要划分几个子网？ 例： 需要5个子网</p>
<p>3.子网掩码的换算<br />a&gt;借位换算(2n表示2的n次方,n表示借位数)：<br />此算法需要知道划分几个子网！！！<br />
2n－2&gt;=需要划分子网数 例：2n-2＝5 结果 n=3<br />
所以需要借3为子网掩码：<br />
原来子网掩码为：255.255.0.0 ＝ 11111111.11111111.00000000.00000000<br />
划分后的子网掩码为：255.255.224.0 ＝11111111.11111111.11100000.00000000<br />
确定下子网的掩码为：255.255.224.0<br />
子网ip范围确定：255-224＝31<br />
所以：子网A用：129.250.0.1 － 125.250.31.254 （129.250.0.0和129.250.31.255不用）<br />
子网B用：129.250.32.1 － 125.250.63.254 <br />
子网C用：129.250.64.1 － 125.250.95.254 <br />
子网D用：129.250.96.1 － 125.250.127.254 <br />
子网E用：129.250.128.1 － 125.250.159.254</p>
<p>b&gt; 抛位算法（即算出子网掩码下一位的0的个数，n表示0的个数）：<br />此算法需要知道每个子网的ip数！！！<br />
2n-2&gt;=需要子网的ip个数/255 <br />
例：一个B类子网的每个子网主机数要达到60×255个(约相当于X.Y.0.1～X.Y.59.254的数量)，求子网掩码。<br />
说明：B类的子网掩码为：11111111.11111111.00000000.00000000</p>
<p>2n-2&gt;=60 求的 n＝6 所有子网中的子网掩码的下一位有6个0 即2个1 <br />
所以子网的子网掩码的子网掩码为：11111111.11111111.11000000.00000000 ＝ 255.255.192.0<br />
求出子网掩码后就可推算出 每个子网的ip范围。</p>
<p><strong>4.不同子网间的通信</strong><br />
不同子网之间的通信直接通过2层交换机是不可以，2层交换机只有包转发功能，没有路由功能，要实现不同子网之间的通信就是要用到我们常说的带路由功能的交换机，也就是3层交换机，也叫路由交换机。或者直接使用路由器。</p>
<p>也可以采用代理的方法：在一台装有双网卡的Windows Server 2003服务器中启用了RRAS，并从两个子网IP地址范围中分别取出一个IP地址（如“子网A”的IP地址“192.168.0.33”和“子网B”的IP地“192.168.0.65”）与两块网卡分别绑定。将“子网A”中所有的客户机指定网关为“192.168.0.33”，而将“子网B”中所有的客户机指定网关为“192.168.0.65”。现在，两个子网不仅可以互访，并且可以有效减轻整个网络的负担，网络利用率大大提高。 </p>
</td>
</tr>
</tbody>
</table>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 04:44:51</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>路由到交换机原理的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW7WGXM.html" rel="bookmark">浅析ASP&period;NET路由模型工作原理&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ps:这是针对ASP.NET4.5版本的,好像在最新的5.0版本中加入了OWIN,彻底解耦了和Web服务器的耦合,我还没有研究过,不敢妄言4.5的模型适用5.0. action*0x1:大话ASP.NET模型 首先我们先来了解下一个请求的悲欢离合的命运,看看它的一生中所走过的蜿蜒曲折的道路.如下图所示: 在如上所示的风光旖旎的画卷中,我们可以看到一个&quot;请求&quot;从客户端浏览器出发,经历千山万水到达服务器,服务器的内核模块的HTTP.SYS热情款待了它,对它进行简单的修饰之后,就和它依依惜别			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxxj2b.html" rel="bookmark">ASP&period;NET路由系统实现原理：HttpHandler的动态映射</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道一个请求最终通过一个具体的HttpHandler进行处理,而我们熟悉的用于表示一个Web页面的Page对象就是一个HttpHandler,被用于处理基于某个.aspx文件的请求.我们可以通过HttpHandler的动态映射来实现请求地址与物理文件路径之间的分离.实际上ASP.NET路由系统就是采用了这样的实现原理.如下图所示,ASP.NET路由系统通过一个注册到当前应用的自定义HttpModule对所有的请求进行拦截,并通过对请求的分析为之动态匹配一个用于处理它的HttpHandler.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwlxD8b.html" rel="bookmark">从交换机原理看广播风暴的原因</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网吧行业竞争的加剧,出现了一些规模比较大的网吧.目前在网吧行业内,百台以上的网吧已经随处可见了.由于网吧在进行网络建设时,缺乏专业的网络技术支持,使得网吧的网络故障频繁出现.在网吧的网络故障中,由于网络广播风暴引起的网络故障,占网吧网络故障的九成以上.网络广播风暴到底是如何形成的呢? 要想正确理解广播风暴的具体含义,我们必须了解一下工作在网络中的网络设备的工作原理.目前,工作在网吧网络中的网络设备,基本上都是交换机了.对于交换机,大家并没有真正的了解其工作原理. 一.交换机基础知识 1.交换机的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxPoDOM.html" rel="bookmark">详解路由器互联端口处于不同网段的路由方法和原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如下图:两台cisco路由器相连接的两个端口不在同一个网络,如何实现两台路由器的互联?初看似乎绝对不可能,但是这是可行的,而且我已经把这个变成了现实.这里讲述配置的方法,以及解释原理. 这个就要讲到路由原理,路由器的作用其中之一是路由选择,但是路由选择的方法有两种,动态路由和静态路由.动态路由就是使用路由算法,智能化的算出路由,作出路由决策.静态路由相对就简单很多,一般几条命令就OK了. 更多精彩内容:http://www.bianceng.cnhttp://www.bianceng.cn/Ne			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW126Gz.html" rel="bookmark">在Linux下实现路由功能的原理及实验</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一:原理:软路由是指利用台式机或服务器配合软件形成路由解决方案,主要靠软件的设置,达成路由器的功能.软路由通常使用普通计算机充当,使用通用的操作系统,如linux或windows,因此路由设置事实上是windows或  linux的设置,或者是对计算机的配置,现在以Linux主机为例实现路由功能. 二:案例:拓扑方案如图所示. 在Linux主机上有双网卡eth0和eth1,eth1对应外网接口,eth0对应内网接口,在Linux主机上通过配置路由功能实现到达192.168.1.0/24和192.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmPyRp.html" rel="bookmark">Laravel框架 HTTP路由CSRF攻击原理及其防护例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.什么是CSRF攻击 CSRF是跨站请求伪造(Cross-site request forgery)的英文缩写.关于CSRF攻击原理及其防护,可查看Github上的这个项目:理解CSRF,说得比较详细和透彻. 2.Laravel中如何避免CSRF攻击 Laravel框架中避免CSRF攻击很简单:Laravel自动为每个用户Session生成了一个CSRF Token,该Token可用于验证登录用户和发起请求者是否是同一人,如果不是则请求失败. Laravel提供了一个全局帮助函数csrf_to			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9vAG4p.html" rel="bookmark">简述核心交换机原理说明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				核心交换机拥有一条很高带宽的背部总线和内部交换矩阵,交换机的所 有的端口都挂接在这条背部总线上,希望本文能给大家带来一些相关帮助.我们在工作区中添加一个2600 XM路由器.首先我们在设备类型库中选择路由器,特定设备库中单击2600 XM路由器, 然后在工作区中单击一下就可以把2600 XM路由器添加到工作区中了.我们用 同样的方式再添加一个2950-24核心交换机和两台PC.注意我们可以按住Ctrl键再单击相应设备以连续添加设备.498)this.w idth=498;' onmousewhe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmjEWBz.html" rel="bookmark">&period;NET&sol;ASP&period;NET Routing路由（深入解析路由系统架构原理）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				阅读目录: 1.开篇介绍 2.ASP.NET Routing 路由对象模型的位置 3.ASP.NET Routing 路由对象模型的入口 4.ASP.NET Routing 路由对象模型的内部结构 4.1UrlRoutingModule 对象内部结构 4.2RouteBase.Route.RouteCollection.RouteTable 路由核心对象模型 4.3RouteValueDictionary.RouteData.RequestContext 路由数据对象模型 4.4IRouteHa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBR4BJb.html" rel="bookmark">交换机基础知识总结之区别篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				二层和三层交换机的区别二层交换机用于小型的局域网络.这个就不用多言了,在小型局域网中,广播包影响不大,二层交换机的快速交换功能.多个接入端口和低谦价格为小型网络用户提供了很完善的解决方案.三层交换机的优点在于接口类型 丰富,支持的三层功能强大,路由能力强大,适合用于大型的网络间的路由,它的优势在于选择最佳路由,负荷分担,链路备份及和其他网络进行路由信息的交换等等路由器所具有功能.三层交换机的最重要的功能是加快大型局域网络内部的数据的快速转发,加入路由功能也是为这个目的服务的.如果把大型网络按照部			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze44Vp.html" rel="bookmark" class="title">myeclipse10&period;0安装会自动生成一个带空格的文件夹，汉化和使用会报错</a>
					<div>
						问题描述 myeclipse10.0安装会自动生成一个带空格的文件夹,汉化和使用会报错 汉化要求安装路径不能带有空格,但是安装时会自动生成一个myeclipse 10的文件夹,无法汉化,该怎么办?图片 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEKn9p.html" rel="bookmark" class="title">Photoshop制作多层次的红色玻璃质感立体字</a>
					<div>
						PS也可以制作不错的立体字,只是稍微有点复杂.最好在制作之前了解一下3D工具的操作,把基础的学会,然后再去设置字体效果就非常简单了. 最终效果 1.创建一个新的1360 * 1240像素的文件,背景填 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXN2Kb.html" rel="bookmark" class="title">如何使用分区助手扩大C盘</a>
					<div>
						系统分区C盘空间不足的问题出现时,这可能是必须要解决的.因为C盘是系统盘,没有足够的空间将会使电脑变慢,影响程序或游戏的运行.在买电脑时C 盘可能有足够的可用空间,但随着对电脑的使用,应用程序安装的越 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4WnYp.html" rel="bookmark" class="title">HTML彻底剖析&lpar;12&rpar;多媒体</a>
					<div>
						媒体 ■ 多媒体 &lt;BGSOUND&gt; &lt;EMBED&gt; 欲明白本篇[HTML彻底剖析]之标记分类,请看 [标记一览]. 也请先明白围堵标记与空标记的分别,请看 [HTML概念]. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbENyAM.html" rel="bookmark" class="title">透过木蚂蚁谈谈个人站安全问题</a>
					<div>
						目前很多有一定规模的个人网站都面临着安全问题,要么是被挂马,要么是某个文件被修改,甚至有些数据库被K.不过这些在我看来都是正常的,因为毕竟很多站长都是用的网上的开源系统,并自已做服务器的日常维护,而他 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd4eXp.html" rel="bookmark" class="title">用C&num;访问Hotmail</a>
					<div>
						访问 POP邮件协议的优点在于它是一个开放的标准,有着完善的文档,这就使得编写POP邮件客户程序不那么困难,只要掌握了POP.SMTP的基础知识,就可以写出代理程序来执行各种任务,例如过滤广告和垃圾邮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK5yVp.html" rel="bookmark" class="title">对话框打印预览及打印</a>
					<div>
						近来我在用VC开发一套MIS时没有用MFC的文档视图模板,所以在打印这上面就只好自己写了一套,用起来感觉还可以,所以写出来大家一起修正一下吧,也许能给大家起点作用吧! 系统UI是基于对话框的,大家如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl1l3z.html" rel="bookmark" class="title">Linux Mplayer播放各种格式的电影</a>
					<div>
						  在Linux下使用Mplayer播放各种格式的电影,这个步骤需要使用linva仓库. 使用root执行命令. yum install mplayer mplayer-gui mplayerplug ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnKDDz.html" rel="bookmark" class="title">一键保存网页中的全部图片</a>
					<div>
						  在浏览网页的时候,有时可能会发现一组非常精美的图片,比如各种壁纸.设计素材等.按照传统的方法一张张去点击下载,实在是非常的麻烦.而通过一些工具软件下载,又可能会下载到很多无用的广告图片.如何能快速 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGroap.html" rel="bookmark" class="title">PS美肤利用调整图层两步调出MM水嫩效果</a>
					<div>
						1.打开原图,在图层调板上-创建新的调整图层-可选颜色,红色(青-20,洋红+15,黄-15,黑+15,方法:绝对);黄色(青+100,洋红+15,黄-15,黑-15,方法:绝对). 2.按键盘,ct ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oroAb.html" rel="bookmark" class="title">Word2007中分页符的巧利用</a>
					<div>
						  我们在Word中编辑文档的话,常常系统会自动将文档进行分页,也就是说,当一页中的字数已达到一定数时,就会跳到下一页.如果我们一篇编辑好的文档,在其中的某一部分开始进行分页,就得用到分页符. 方式1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBmARz.html" rel="bookmark" class="title">Win8如何解决打补丁后黑屏的问题</a>
					<div>
						Win8解决打补丁后黑屏的问题的方法如下: Windows8主机升级补丁之后有时候会出现黑屏,安全模式也不能进入,可以用下面的方法解决: 1.开机连续F8选择安全模式之后选择修复您的计算机,选择疑难解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKk3Vab.html" rel="bookmark" class="title">Win8创建图片密码方法教程</a>
					<div>
						图片密码是Windows 8相较于Windows 7新增的一种登录方式,快速.流畅而且支持用户自定义. Windows8图形密码主要由图片和手势两部分构成,极大的方便了触摸屏用户.普通电脑借助鼠标体验 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYogXb.html" rel="bookmark" class="title">为什么电脑有空地方的没有图标？</a>
					<div>
						  像这样的问题你们遇到过么?其实很简单! 右键鼠标,找到&quot;自动排列图标(A)&quot;点击下,它前面的勾打上了就OK了!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b322Nkz.html" rel="bookmark" class="title">钉钉APP关闭自动定位功能方法</a>
					<div>
						给各位钉钉软件的使用者们来详细的解析分享一下关闭自动定位功能的方法. 方法分享:   1.目前钉钉没有关闭定位的功能 2.钉钉定位方式有gps.wlan.移动基站定位,只要有一种定位功能可用,则可签到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6Rn0b.html" rel="bookmark" class="title">hdu  2846  Repository</a>
					<div>
						点击打开链接hdu 2846 思路:字典树 分析: 1 题目要求的是给以个询问字符串s,在n个物品中找到总共有几个满足s是物品名字的字串. 2 子串问题,那么这里我们可以利用求出n件物品名字的所有的字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N7eBz.html" rel="bookmark" class="title">JavaScript 踩坑心得&mdash; 为了高速（下）</a>
					<div>
						一.前言 本文的上一篇 JavaScript 踩坑心得- 为了高速(上) 主要和大家分享的是 JavaScript 使用过程中的基本原则以及编写过程中的心得分享,本文主要和大家聊聊在各个使用场景下的  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAG1Dp.html" rel="bookmark" class="title">php配置pdo&lowbar;mysql模块导致phpinfo&lpar;&rpar;函数不能使用</a>
					<div>
						问题描述 php配置pdo_mysql模块导致phpinfo()函数不能使用 我在配置pdo_mysql 的时候,当在php.ini文件中加入extension=pdo_mysql.so的时候 php ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAALPnM.html" rel="bookmark" class="title">安全退出按钮不起作用，按了刷新一遍网页才起作用asp&period;net c&num;</a>
					<div>
						问题描述 解决方案 解决方案二:最后一句改为&quot;&lt;script&gt;alert('你的提示');location.reload();&lt;/script&gt;&quot;即可解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z1kNM.html" rel="bookmark" class="title">C&num;在DataGridView中如何在列中添加下拉框</a>
					<div>
						问题描述 dataGridVIew1先从数据库中导入数据到上面,然后我再在DataGridView1中进行添加,删除操作,同时更新到数据库中,可是我想在列&quot;医院等级&quot;中设置下拉框( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL76X5M.html" rel="bookmark" class="title">远程连接SQL Server2008的设置方式</a>
					<div>
						一.开始-&gt;所有程序-&gt;Microsoft SQL Server 2008à配置工具àSQL Server配置管理器(右击打开)àSQL Server服务的右侧à开启&quot;SQL S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqwnyb.html" rel="bookmark" class="title">SOPHOS 2014安全威胁报告之僵尸网络</a>
					<div>
						僵尸网络的规模和隐蔽性不断扩大 在过去的一年中,僵尸网络已经变得更加泛滥,更具灵活性和伪装性,而且他们似乎发现了一些危险的新目标. 僵尸网络的源代码历来都被其所有者严密保护着.即使网络犯罪分子选择退出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBAVlz.html" rel="bookmark" class="title">一则推特转发证实了谷歌新 OS 的猜测</a>
					<div>
						Dartino 写道 &quot;一周前,谷歌突然释出了Fuchsia操作系统的源代码.种种迹象表明这是一个全新的面向物联网的操作系统.然而在官方公布之前,这一切都只是猜测.直到今天,Google的产 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xE1Zb.html" rel="bookmark" class="title">帮忙看一下js的进度条代码</a>
					<div>
						问题描述 &lt;!DOCTYPEhtmlPUBLIC&quot;-//W3C//DTDXHTML1.0Transitional//EN&quot;&quot;http://www.w3.org/TR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBP7jz.html" rel="bookmark" class="title">xen  xenserver  6&period;5-xenserver 6&period;5的open vswitch问题</a>
					<div>
						问题描述 xenserver 6.5的open vswitch问题 xenserver6.5 新集成的ovs版本是2.1.3 在执行create netflow的时候主机直接连不上了 是xenserv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGr3Jlp.html" rel="bookmark" class="title">常用C&num;关键字详解教程（比较全面）&lowbar;基础应用</a>
					<div>
						不论你是新手还是老手,是否对C#的某些关键字有些摸不到头脑呢?现在我就和大家一起学习一下这些关键字的含义 类型 Void 用作方法的返回类型时,void 关键字指定方法不返回值. 在方法的参数列表中不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZEgmz.html" rel="bookmark" class="title">Android应用框架之应用启动过程详解&lowbar;Android</a>
					<div>
						在Android的应用框架中,ActivityManagerService是非常重要的一个组件,尽管名字叫做ActivityManagerService,但通过之前的博客介绍,我们知道,四大组件的创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1V5Ob.html" rel="bookmark" class="title">Java线程安全中的单例模式&lowbar;java</a>
					<div>
						复制代码 代码如下: package net.kitbox.util; /**  *  * @author lldy  *  */ public class Singleton {     priva ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Ndmxb.html" rel="bookmark" class="title">php cookie中点号（句号）自动转为下划线问题&lowbar;php技巧</a>
					<div>
						php cookie中不能使用点号(句号),实际上不是很严格,应该说可以使用点号的cookie名,但会被转换,你命名一个cookie: $_COOKIE['my.name'] = 1;  实际上你不能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmZoVp.html" rel="bookmark" class="title">JS随机生成不重复数据的实例方法&lowbar;javascript技巧</a>
					<div>
						昨天晚上在IBM上看了一篇关于在Java开发人员对于JavaScript看法的文章,感受很深,发现作为一个Java开发人员应该要懂得而且还要熟练JavaScript的能力.毕竟现在的JavaScrip ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
